Manifest-Version: 1.0
Bnd-LastModified: 1754080197928
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Changeset Service
Bundle-SymbolicName: com.liferay.changeset.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.28.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.changeset.exception;version="1.0",com.life
 ray.changeset.model;version="3.1",com.liferay.changeset.service;versi
 on="1.8",com.liferay.changeset.service.persistence;version="2.1",com.
 liferay.counter.kernel.service;version="2.2",com.liferay.expando.kern
 el.model;version="6.0",com.liferay.expando.kernel.util;version="5.0",
 com.liferay.petra.lang;version="1.3",com.liferay.petra.sql.dsl;versio
 n="1.2",com.liferay.petra.sql.dsl.query;version="2.0",com.liferay.pet
 ra.string;version="1.7",com.liferay.portal.aop;version="1.0",com.life
 ray.portal.kernel.bean;version="10.1",com.liferay.portal.kernel.confi
 guration;version="7.0",com.liferay.portal.kernel.dao.db;version="14.0
 ",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal
 .kernel.dao.orm;version="12.0",com.liferay.portal.kernel.exception;ve
 rsion="13.3",com.liferay.portal.kernel.log;version="8.0",com.liferay.
 portal.kernel.model;version="30.4",com.liferay.portal.kernel.model.im
 pl;version="7.4",com.liferay.portal.kernel.module.framework.service;v
 ersion="1.0",com.liferay.portal.kernel.search;version="20.2",com.life
 ray.portal.kernel.security.auth;version="6.1",com.liferay.portal.kern
 el.service;version="25.1",com.liferay.portal.kernel.service.persisten
 ce;version="22.1",com.liferay.portal.kernel.service.persistence.impl;
 version="4.1",com.liferay.portal.kernel.transaction;version="8.1",com
 .liferay.portal.kernel.upgrade;version="21.2",com.liferay.portal.kern
 el.util;version="63.0",com.liferay.portal.upgrade.registry;version="5
 .0",javax.sql
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Changeset
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 2.0.0
Liferay-Service: true
Private-Package: com.liferay.changeset.internal.upgrade.registry,com.l
 iferay.changeset.internal.upgrade.v2_0_0.util,com.liferay.changeset.m
 odel.impl,com.liferay.changeset.service.base,com.liferay.changeset.se
 rvice.impl,com.liferay.changeset.service.persistence.impl,com.liferay
 .changeset.service.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .changeset.service.persistence.ChangesetCollectionPersistence";uses:=
 "com.liferay.changeset.service.persistence",osgi.service;objectClass:
 List<String>="com.liferay.changeset.service.persistence.ChangesetEntr
 yPersistence";uses:="com.liferay.changeset.service.persistence",osgi.
 service;objectClass:List<String>="com.liferay.portal.aop.AopService";
 uses:="com.liferay.portal.aop",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="com.life
 ray.portal.kernel.dao.orm",osgi.service;objectClass:List<String>="com
 .liferay.portal.upgrade.registry.UpgradeStepRegistrator";uses:="com.l
 iferay.portal.upgrade.registry",osgi.service;objectClass:List<String>
 ="com.liferay.changeset.service.ChangesetCollectionLocalService",osgi
 .service;objectClass:List<String>="com.liferay.changeset.service.Chan
 gesetEntryLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cha
 ngeset.service.ChangesetEntryLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.changeset.service.persistence
 .ChangesetCollectionPersistence)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.changeset.service.persistence.Changeset
 EntryPersistence)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.counter.kernel.service.CounterLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .configuration.Configuration)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.dao.orm.EntityCache)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.dao.orm.FinderCache)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.dao.orm.SessionFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.service.GroupLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.UserLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=javax.sql.DataSour
 ce)";effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.c
 omponent)(version>=1.4.0)(!(version>=2.0.0)))",osgi.ee;filter:="(&(os
 gi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.changeset.internal.upgrade.reg
 istry.ChangesetServiceUpgradeStepRegistrator.xml,OSGI-INF/com.liferay
 .changeset.service.impl.ChangesetCollectionLocalServiceImpl.xml,OSGI-
 INF/com.liferay.changeset.service.impl.ChangesetEntryLocalServiceImpl
 .xml,OSGI-INF/com.liferay.changeset.service.persistence.impl.Changese
 tCollectionModelArgumentsResolver.xml,OSGI-INF/com.liferay.changeset.
 service.persistence.impl.ChangesetCollectionPersistenceImpl.xml,OSGI-
 INF/com.liferay.changeset.service.persistence.impl.ChangesetEntryMode
 lArgumentsResolver.xml,OSGI-INF/com.liferay.changeset.service.persist
 ence.impl.ChangesetEntryPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

